/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package FacilityMgmt.FacilityDesc;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype description */
public class FacilityDesc {
    /**  */
    public int calcAvailCapacityForFacilitiesOfThisType() {
        return 0;
    }

    public BigDecimal calcMaintCostForThisType() {
        return new BigDecimal(0);
    }

    public int calcProblemRateForThisType() {
        return 0;
    }

    public int calcDownTimeForThisType() {
        return 0;
    }

    public Vector listFacilitiesOfThisType() {
        return new Vector();
    }

    public Vector listFacilitiesOfThisTypeNeedingReplacement() {
        return new Vector();
    }

    private int type;
    private String number;
    private String name;
    private String model;
    private String description;
    private String drawing;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 1
     */
    private FacilityMaintTaskDesc lnkUnnamed;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private ManuMgmt.Process.ManuProcess lnkUnnamed1;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..1
     */
    private FacilityUseDesc lnkUnnamed2;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 1
     */
    private FacilityProductionDesc lnkUnnamed3;
}


